[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| HClustering Class Reference |

`#include <vigra/random_forest/rf_algorithm.hxx>`

List of all members.

## Public Member Functions
template<class Functor >
void | breadth_first_traversal (Functor &tester)
template<class T , class C >
void | cluster (MultiArrayView< 2, T, C > distance)
template<class Functor >
void | iterate (Functor &tester)

## Detailed Description

Hierarchical Clustering class. Performs single linkage clustering

             Matrix<double> distance = get_distance_matrix();
          linkage.cluster(distance);
          // Draw clustering tree.
          Draw<double, int> draw(features, labels, "linkagetree.graph");
          linkage.breadth_first_traversal(draw);

See also:
  ClusterImportanceVisitor

once the clustering has taken place. Information queries can be made using the breadth_first_traversal() method and iterate() method

## Member Function Documentation

void iterate | ( | Functor & | tester | ) |

Visit each node with a Functor in creation order (should be depth first)

void breadth_first_traversal | ( | Functor & | tester | ) |

Perform breadth first traversal of hierarchical cluster tree

void cluster | ( | MultiArrayView< 2, T, C > | distance | ) |

save to HDF5 - defunct - has to be updated to new HDF5 interfacePerform single linkage clustering

Parameters:

  distance | distance matrix used.

See also:
  CorrelationVisitor

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_algorithm.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)